---
layout: default
search: exclude
disable_anchor: true
---
<div class="welcome bg-primary text-white py-4">
  <div class="container">
    <h1 class="text-lg-left text-center">Welcome to the Odd Solutions wiki!</h1>
    <p class="lead text-lg-left text-center">You can find various information, how-tos, build instructions and much more here in our wiki.</p>
  </div>
</div>

<div class="container mt-2">
  <div class="row">

    <div class="col-sm-6">
      <h3 class="font-weight-bold">For users</h3>
      <hr>
      <h4 class="font-weight-normal">Get LineageOS!</h4>
      <ul>
        <li>You can check if your device is on our <a href="{{ site.baseurl }}/devices/">list of devices</a>.</li>
        <li>You can look at our information on <a href="{{ site.baseurl }}/device_requests.html">requesting a device</a>.</li>
      </ul>
      <h4 class="font-weight-normal">Frequently Asked Questions</h4>
      <p>Have questions? See our <a href="{{ site.baseurl }}/faq.html">FAQ</a>.</p>
      <h4 class="font-weight-normal">Report bugs!</h4>
      <ul>
        <li>To grab information needed for a bug report, you can <a href="{{ site.baseurl }}/adb_fastboot_guide.html#installing-adb-and-fastboot">setup ADB</a> and then <a href="{{ site.baseurl }}/how-to/logcat">capture a log</a>.</li>
        <li>Then, learn where to report your bug by reading our <a href="{{ site.baseurl }}/how-to/bugreport">how-to on reporting bugs</a>.</li>
      </ul>
    </div>

    <div class="col-sm-6">
      <h3 class="font-weight-bold">For everyone</h3>
      <hr>
      <h4 class="font-weight-normal">Contribute to the wiki!</h4>
      <p>This wiki is powered by <a href="https://jekyllrb.com/">Jekyll</a>.</p>
      <ul>
        <li>You can look at the source <a href="https://github.com/npjohnson/ods_wiki">on GitHub</a>.</li>
        <li>And of course, we have a comprehensive guide on <a href="{{ site.baseurl }}/contributing_wiki.html">contributing</a>.</li>
      </ul>
      <h4 class="font-weight-normal">Build for your device!</h4>
      <ul>
        <li>Every officially-supported device has a comprehensive set of build instructions. Simply choose your device from our <a href="{{ site.baseurl }}/devices/">list of supported devices</a> to get started.</li>
      </ul>
      <h4 class="font-weight-normal">How-tos!</h4>
      <p>We even have a nice <a href="{{ site.baseurl }}/how-to/">list of how-tos</a>, for inquisitive souls.</p>
    </div>

    <div class="col-sm-12">
      <h3 class="font-weight-bold">For developers</h3>
      <hr>
      <h4 class="font-weight-normal">Contribute</h4>
      <ul>
        <li>To contribute, you’ll need to be able to produce builds for your device. Pick your device from our <a href="{{ site.baseurl }}/devices/">list of supported devices</a> to get started.</li>
        <li>Once you’re successfully running your own build, you can begin to make your changes. All the apps included in LineageOS can be found in <code>packages/apps</code>, and core parts of the system can be found in <code>frameworks/base.</code></li>
        <li>Once you’ve finished making your change, simply follow our guide on <a href="{{ site.baseurl }}/how-to/submitting-patches">submitting to Gerrit</a>.</li>
      </ul>
      <h4 class="font-weight-normal">Submit your port!</h4>
      <ul>
        <li>If you unofficially maintain a device, and think it’s good enough to go live, follow our instructions on <a href="{{ site.baseurl }}/submitting_device.html">submitting a port</a>. One of our developer relations staff will reach out to you, and we’ll work to get the ball rolling on official builds for your device.</li>
      </ul>
      <h4 class="font-weight-normal">LineageSDK</h4>
      <p>Enhance your apps with new Lineage-specific APIs using the <a href="{{ site.baseurl }}/sdk">LineageOS platform SDK</a>.</p>

      <h3 class="font-weight-bold mt-5">Wiki contents</h3>
      <hr>
      <p>You can view all current pages <a href="{{ site.baseurl }}/pages.html">here</a>.</p>
    </div>
  </div>
  </div>
</div>
